// Garden Gnome Software - Skin
// Object2VR 3.1.0/10752
// Filename: vid test.ggsk
// Generated Wed Aug 17 11:56:18 2016

function object2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			var e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			var e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._popup_video=document.createElement('div');
		this._popup_video.ggId="popup_video";
		this._popup_video.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._popup_video.ggVisible=false;
		this._popup_video.className='ggskin ggskin_rectangle';
		this._popup_video.ggType='rectangle';
		this._popup_video.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
				this.style.left=Math.floor(-256 + w/2) + 'px';
				var h=this.parentNode.offsetHeight;
				this.style.top=Math.floor(-183 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -256px;';
		hs+='top:  -183px;';
		hs+='width: 505px;';
		hs+='height: 374px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: hidden;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		this._popup_video.setAttribute('style',hs);
		this._video_text_display=document.createElement('div');
		this._video_text_display__text=document.createElement('div');
		this._video_text_display.className='ggskin ggskin_textdiv';
		this._video_text_display.ggTextDiv=this._video_text_display__text;
		this._video_text_display.ggId="video_text_display";
		this._video_text_display.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._video_text_display.ggVisible=true;
		this._video_text_display.className='ggskin ggskin_text';
		this._video_text_display.ggType='text';
		hs ='position:absolute;';
		hs+='left: 1px;';
		hs+='top:  34px;';
		hs+='width: 497px;';
		hs+='height: 332px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._video_text_display.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 497px;';
		hs+='height: 332px;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: pre-wrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		hs+='overflow-y: auto;';
		this._video_text_display__text.setAttribute('style',hs);
		this._video_text_display.ggTextDiv.innerHTML="";
		this._video_text_display.appendChild(this._video_text_display__text);
		this._video_text_display.onclick=function () {
			me._video_text_display.ggText=me.player.hotspot.target;
			me._video_text_display.ggTextDiv.innerHTML=me._video_text_display.ggText;
			if (me._video_text_display.ggUpdateText) {
				me._video_text_display.ggUpdateText=function() {
					var hs=me.player.hotspot.target;
					if (hs!=me._video_text_display.ggText) {
						me._video_text_display.ggText=hs;
						me._video_text_display.ggTextDiv.innerHTML=hs;
					}
				}
			}
			me._popup_video.style[domTransition]='none';
			me._popup_video.style.visibility='inherit';
			me._popup_video.ggVisible=true;
		}
		this._popup_video.appendChild(this._video_text_display);
		this._close=document.createElement('div');
		this._close.ggId="close";
		this._close.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._close.ggVisible=true;
		this._close.className='ggskin ggskin_rectangle';
		this._close.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 462px;';
		hs+='top:  1px;';
		hs+='width: 27px;';
		hs+='height: 27px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='background: #ff0000;';
		hs+='border: 1px solid #ff0000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		this._close.setAttribute('style',hs);
		this._close.onclick=function () {
			me._popup_video.style[domTransition]='none';
			me._popup_video.style.visibility='hidden';
			me._popup_video.ggVisible=false;
			me._video_text_display.ggText="";
			me._video_text_display.ggTextDiv.innerHTML=me._video_text_display.ggText;
			if (me._video_text_display.ggUpdateText) {
				me._video_text_display.ggUpdateText=function() {
					var hs="";
					if (hs!=me._video_text_display.ggText) {
						me._video_text_display.ggText=hs;
						me._video_text_display.ggTextDiv.innerHTML=hs;
					}
				}
			}
		}
		this._popup_video.appendChild(this._close);
		this.divSkin.appendChild(this._popup_video);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggLoadedLevels=function() {
		}
		this.divSkin.ggReLoadedLevels=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
		if (id=='video_text') {
			me._video_text_display.onclick();
		}
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if ((nodeMarker[i].ggMarkerNodeId==id) && (id!='')) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
	};
	this.addSkin();
};